org.apache.http.impl.client.cache

## Class DefaultHttpCacheEntrySerializer

- java.lang.Object
- - org.apache.http.impl.client.cache.DefaultHttpCacheEntrySerializer

- All Implemented Interfaces:
    HttpCacheEntrySerializer

      @Contract(threading=IMMUTABLE)
      public class DefaultHttpCacheEntrySerializer
      extends Object
      implements HttpCacheEntrySerializer

  `HttpCacheEntrySerializer` implementation that uses the default (native) serialization.
  Since:
    4.1
  See Also:
    `Serializable`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultHttpCacheEntrySerializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpCacheEntry` | `readFrom(InputStream is)` Deserializes a byte representation of a cache entry by reading from the given `InputStream`.
    `void` | `writeTo(HttpCacheEntry cacheEntry, OutputStream os)` Serializes the given entry to a byte representation on the given `OutputStream`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultHttpCacheEntrySerializer

          public DefaultHttpCacheEntrySerializer()

  - ### Method Detail

    - #### writeTo

          public void writeTo(HttpCacheEntry cacheEntry,
                     OutputStream os)
                       throws IOException

      Description copied from interface: `HttpCacheEntrySerializer`
      Serializes the given entry to a byte representation on the given `OutputStream`.
      Specified by:
        `writeTo` in interface `HttpCacheEntrySerializer`
      Throws:
        `IOException`

    - #### readFrom

          public HttpCacheEntry readFrom(InputStream is)
                                  throws IOException

      Description copied from interface: `HttpCacheEntrySerializer`
      Deserializes a byte representation of a cache entry by reading from the given `InputStream`.
      Specified by:
        `readFrom` in interface `HttpCacheEntrySerializer`
      Throws:
        `IOException`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.